U++ - Bug #1429

GTK Backend wrong placment of system "X" button when window is not resizable (KDE 5)

04/24/2016 09:13 PM - Zbigniew Rebacz

Status: Approved Start date: 04/24/2016
Priority: Normal Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: CtriCore Estimated time: 0.00 hour
Target version: Release 2017.2 Spent time: 0.00 hour
Description

| was playing a little bit with KDE 5 and it seems that it wrongly place system close button "X" when window is not re-sizable. It can be
spotted on Bombs example and several ThelDE window. After moving window the "X" is located on normal position. More details in

attached screen shot.

On X11 backend everything seems ok.

This bug is quite annoying :(

History

#1 - 04/24/2016 09:14 PM - Zbigniew Rebacz
- File Screenshot 20160424 _211404.png added

#2 - 04/24/2016 09:15 PM - Zbigniew Rebacz
- Description updated

#3 - 10/14/2016 01:43 PM - Zbigniew Rebacz
- Priority changed from Normal to Low
- Target version deleted (Release 2017.1)

| think this is KDE problem not ours.

#4 - 04/17/2017 05:56 PM - Zbigniew Rebacz
- File PositionOfXButtonFixOnKde.diff added

- Status changed from New to Patch ready

- Assignee set to Miroslav Fidler

- Priority changed from Low to Normal

- Target version set to Release 2017.2

The problem is easy - all we need to to is synchronize size hints before mapping window in the operating system.

Annoying issue ;)

#5 - 04/17/2017 05:57 PM - Zbigniew Rebacz

| have got one question - do we need also to synchronized GDK_WINDOW_TYPE_HINT_UTILITY - in what cases we used this kind of window?
#6 - 04/23/2017 12:55 AM - Zbigniew Rebacz
- Status changed from Patch ready to Approved

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Files

Screenshot_20160424_210954.png 9.11 KB

Screenshot_20160424_211404.png 9.1 KB

PositionOfXButtonFixOnKde.diff 1.39 KB
